Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Update of "Gentoo Linux"
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Sun Aug 21, 2016 2:12 pm    Post subject: Update of "Gentoo Linux" Reply with quote

Hello.
Thanks for your kind advice of everyone, I was able to install the "Gentoo Linux".
Thank you very much.
So, for an update of the "Gentoo Linux", I want to study.
Update of "Gentoo Linux" is, when I was, what to do in any way.
In basic and rudimentary questions, I am humbled.
Thank you.

I'm running gentoo on vmware.
This is a screen shot of the "Gentoo Linux".
https://scrot.moe/images/2016/08/13/GentooXfce-2016-08-13-21-07-46.png
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Sun Aug 21, 2016 8:00 pm    Post subject: Reply with quote

parts 2 and 3 of the handbook
https://wiki.gentoo.org/wiki/Handbook:AMD64#Working_with_Gentoo
https://wiki.gentoo.org/wiki/Handbook:AMD64#Working_with_Portage
provide introductions to useful topics.
The gentoo wiki has specific documentation for adding many of the additional programs you may want to install.

Until you run into trouble, running
Code:
emerge --sync
emerge -uND world
daily or weekly will keep you up to date with minimal problems. Monthly will help develop your trouble shooting skills. Semiannually is likely to make you into a portage wizard.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Aug 22, 2016 12:08 am    Post subject: Reply with quote

Thanks a lot DONAHUE.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Aug 22, 2016 2:10 am    Post subject: Reply with quote

Thanks a lot DONAHUE.

Hello.
Code:

* IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

pure@gentoo_green ~ $ eselect news read
2016-08-11-grub2_multislot_default
  Title                     Grub2 multislot default setting is changing
  Author                    William Hubbs <williamh@gentoo.org>
  Author                    Ian Stakenvicius <axs@gentoo.org>
  Posted                    2016-08-11
  Revision                  1

The multislot use flag in sys-boot/grub-2.x is no longer enabled by
default.

When the flag is enabled, all upstream binaries and documentation are
renamed to "grub2" so as not to collide with grub-0.  Now that the use
flag is no longer default-enabled, these names will revert back to
their upstream defaults.  For example, grub2-mkconfig will become
grub-mkconfig, grub2-install will become grub-install, etc.

If you wish to retain the previous naming scheme, please make sure to
explicitly enable USE="multislot" on sys-boot/grub in the usual manner.


/usr/share/eselect/modules/news.eselect: 行 33: /var/lib/gentoo/news/news-gentoo.read: 許可がありません
!!! Error: Cannot update list of news items for repository "gentoo"
Code:

pure@gentoo_green ~ $ sudo emerge -uND world

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "~sys-devel/base-gcc-4.9.3[multislot?]".
!!! One of the following packages is required to complete your request:
- sys-devel/base-gcc-4.9.3::sabayon-distro (Missing IUSE: multislot)
(dependency required by "sys-devel/gcc-4.9.3::sabayon-distro" [ebuild])
(dependency required by "@system" [set])
(dependency required by "@world" [argument])

I, what kind of support it should be the (operating procedure), or.
Thank you.

[Moderator edit: added [code] tags to preserve output layout. -Hu]
Back to top
View user's profile Send private message
lexflex
Guru
Guru


Joined: 05 Mar 2006
Posts: 354
Location: the Netherlands

PostPosted: Mon Aug 22, 2016 7:59 am    Post subject: Reply with quote

Hi,

Can you give a bit more information:
- Are you using stable or using ~amd keywords? Did you add any external repositories?
- Also, why does it need base-gcc sabayon-distro ?
- What does gcc-config -l show ?


Alex.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Mon Aug 22, 2016 8:57 am    Post subject: Reply with quote

emochi wrote:
Code:
!!! Error: Cannot update list of news items for repository "gentoo"

For this error read here
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Aug 22, 2016 9:37 am    Post subject: Reply with quote

Thanks a lot lexflex.
Thanks a lot fedeliallalinea.

Hello.

As follows, I was installed.

root # layman –a sabayon-distro

◇www-client/firefox-l10n-ja  Overlay:sabayon-distro(layman)

user $ sudo emerge --ask www-client/firefox
user $ sudo emerge –av www-client/firefox-bin
user $ sudo emerge --ask www-client/firefox-l10n-ja
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Mon Aug 22, 2016 9:47 am    Post subject: Reply with quote

It is not necessary have sabayon-distro overlay for have firefox in language japanise . You can put in make.conf
Code:
L10N="ja"
LINGUAS="ja"

and than
Code:
# emerge firefox

or
Code:
# emerge firefox-bin

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Mon Aug 22, 2016 10:55 am    Post subject: Reply with quote

Thanks a lot fedeliallalinea.
Thank you very much.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Wed Aug 24, 2016 2:19 am    Post subject: Reply with quote

Hi, there!

Code:
user $ sudo layman –d sabayon-distro
user $ sudo emerge –C www-client/firefox-l10n-ja
user $ sudo emerge --sync
user $ sudo emerge –uND world
user $ sudo emerge --depclean

Code:
root # emerge –ND @wprld

The display resolution of the virtual machine on the "VMware Workstation 12 Pro", is fixed at 800x600.
Changing the display of the virtual machine resolution will become impossible.
Is there such as how to improve.
Please give me advice.
Thank you.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Wed Aug 24, 2016 7:23 am    Post subject: Reply with quote

emochi wrote:
The display resolution of the virtual machine on the "VMware Workstation 12 Pro", is fixed at 800x600.
Changing the display of the virtual machine resolution will become impossible.

I belive you need to install wmware-tools (with use flag vmware_guest_linux active)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Wed Aug 24, 2016 8:09 am    Post subject: Reply with quote

Thank you for your reply.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Wed Aug 24, 2016 11:28 am    Post subject: Reply with quote

Hello.

Code:
root $ emerge --ask app-emulation/open-vm-tools

Problem has not been resolved.
This thread is the end.
Before updating the "Gentoo Xfce", it was to create a backup file of the virtual machine.
Thank you very much.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Wed Aug 24, 2016 5:55 pm    Post subject: Reply with quote

emochi wrote:
Code:
root $ emerge --ask app-emulation/open-vm-tools

Problem has not been resolved.

Try with commercial version of tools
Code:
# USE="vmware_guest_linux" emerge vmware-tools

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
emochi
n00b
n00b


Joined: 19 Jul 2016
Posts: 60
Location: Tokyo, Japan

PostPosted: Thu Aug 25, 2016 8:22 pm    Post subject: Reply with quote

Thanks a lot fedeliallalinea.
Many Many thanks.
I love you.
You are great.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum